      subroutine ppakk(sgn,u1,n1,p1,u2,n2,p2,u,n,p,g,mass,wdth)
c----------------------------------------------------------------------c
c Returns a vector array being a contraction of a triple pi+pi-photon 
c vertex of the scalar QED
c
c Input: sgn=+1, if scalars are writen in order pi-pi+,
c            -1, if scalars are writen in order pi+pi-,
c        u1,u2 - scalar arrays,
c        n1,n2,n - numbers of polarization states,
c        p1,p2 - momenta,
c        g - a triple pi+pi-photon coupling,
c        mass, wdth - mass and width of a photon, not used.
c Output: u - vector array,
c         p - its momentum.
c All four momenta are cosidered as incoming to the vertex.
c
c Karol Kolodziej, University of Silesia, karol.kolodziej@us.edu.pl
c 30 April, 2009; modified on 7 May, 2009 (p changed)
c                             11 May, 2009 (sign of the photon propagator
c                                           corrected)
c----------------------------------------------------------------------c

      implicit none

      integer, parameter :: dp=kind(1.d0)
      integer :: n1,n2,n,i1,i2,i,sgn

      real(dp) :: mass,wdth
      real(dp), dimension(0:3) :: p1,p2,p
      complex(dp) :: u1(1,n1),u2(1,n2),u(0:3,n),g,gden

      p=-p1-p2

c      gden=g/cmplx(p(0)**2-p(1)**2-p(2)**2-p(3)**2,0.d0,dp)
      gden=-g/cmplx(p(0)**2-p(1)**2-p(2)**2-p(3)**2,0.d0,dp) ! 11 May, 2009

      i=0
      do i2=1,n2
       do i1=1,n1
         i=i+1
         u(:,i)=gden*u1(1,i1)*u2(1,i2)*sgn*(p1-p2)
       end do
      end do

      end subroutine ppakk
