      subroutine vssvmd(g,u1,u2,u3,u4,mat)
c----------------------------------------------------------------------c
c Returns a matrix element array for a quartic gauge-Higgs boson vertex 
c
c Input: u1,u4 - vector,
c        u2,u3 - sclar,
c        g - a quartic scalar-gauge-boson coupling.
c All four momenta are cosidered as incoming to the vertex.
c
c Karol Kolodziej, University of Silesia, kolodzie@us.edu.pl
c 17 May, 2007; modified 
c----------------------------------------------------------------------c

      implicit none

      integer, parameter :: dp=kind(1.d0)

      complex(dp) :: u1(0:3),u4(0:3),u2(1),u3(1),mat,g

      mat=-g*u2(1)*u3(1)*(u1(0)*u4(0)-u1(1)*u4(1)
     &                   -u1(2)*u4(2)-u1(3)*u4(3))

      end subroutine vssvmd
