      program addbs
c----------------------------------------------------------------------c
c Adds distributions of different subprocesses
c
c Karol Kolodziej, University of Silesia, karol.kolodziej@us.edu.pl
c 2 April, 2013; modified 17 July, 2013
c----------------------------------------------------------------------c

      implicit none

      integer, parameter :: nsbp=3,     ! No. of subprocesses to be added
     &                      nsfx=2,     ! No. of suffixes
     &                      ndbs=7      ! No. of distribuitons

      character(15), dimension(nsfx) :: ffs
      character(80), dimension(nsbp) :: sbps
      character(80) :: ind,cline
      character(80), dimension(ndbs,nsbp,nsfx) :: fnm,fnx
      character(80), dimension(ndbs,nsfx) :: fnn
      integer :: i,j,k,n,iu,iw,nb(ndbs)
      real(kind(1.d0)) :: xxx,val,tot,arg(100),csx(100)

c Names of subbprocesses to be added

      sbps(1)='gg_budbmv'
      sbps(2)='dd~_budbmv'
      sbps(3)='uu~_budbmv'

      fnm='db'  ! prefix of the input file name, e.g. db1_gg_budbmv...
      fnn='db'  ! prefix of the output file name, e.g. db1_gg_budbmv...

c Suffix of the input file name, e.g. db1_gg_budbmv_0.0_0.0_0.0_0.0

      ffs(1)='0.0_0.0_0.0_0.0'
      ffs(2)='0.2_0.0_0.0_0.2'
c
c-------------- End of input -------------------------------------------
c
      iu=0
      fnx='xx'

      do i=1,ndbs
       write(ind,'(i4)') i
       do k=1,nsfx
        do j=1,nsbp
         iu=iu+1
         iw=iu+1
         fnm(i,j,k)=trim(adjustl(fnm(i,j,k)))//trim(adjustl(ind))//'_'
     &            //trim(adjustl(sbps(j)))//'_'//ffs(k)
         fnx(i,j,k)=trim(adjustl(fnx(i,j,k)))//trim(adjustl(ind))//'_'
     &            //trim(adjustl(sbps(j)))//'_'//ffs(k)
         open(unit=iu,file=trim(adjustl(fnm(i,j,k))),
     &                                   status='old',action='read')
         open(unit=iw,file=trim(adjustl(fnx(i,j,k))),
     &                              status='replace',action='write')
         if (j == 1 .and. k == 1) nb(i)=0
         do
          read(iu,'(a80)',end=100) cline
          if (cline(1:1) /= '#') then
           if (j == 1 .and. k == 1) nb(i)=nb(i)+1
           write(iw,'(a80)') cline
          end if
         end do
 100     close(iu)
c         close(iw)
        end do
       end do
      end do

      iw=0

      do i=1,ndbs
       write(ind,'(i4)') i
       do k=1,nsfx
        iw=iw+1
        fnn(i,k)=trim(adjustl(fnn(i,k)))//trim(adjustl(ind))//'_'//
     &        sbps(1)(index(sbps(1),'_')+1:len_trim(sbps(1)))//
     &        '_'//ffs(k)
        open(unit=iw,file=trim(adjustl(fnn(i,k))),
     &                         status='replace',action='write')
        tot=0.d0
        csx=0.d0
        do j=1,nsbp
         iu=iu+1
         open(unit=iu,file=trim(adjustl(fnx(i,j,k))),
     &                              status='old',action='read')
         do n=1,nb(i)
          read(iu,'(3e11.4)') arg(n),xxx,val
          if (n == 1) tot=tot+val/xxx
          csx(n)=csx(n)+val
         end do
         close(iu)
        end do
        do n=1,nb(i)
         write(iw,'(3e11.4)') arg(n),csx(n)/tot,csx(n)
        end do
        close(iw)
       end do
      end do

      end
